> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/update-dsgatewayruleset.md).

# Update-DSGatewayRuleset

Update-DSGatewayRuleset aggiorna il nome, la descrizione, le regole di accesso, il gateway collegato e le impostazioni di sicurezza di un set di regole del gateway di Devolutions Server.

### Sinossi

Aggiorna un set di regole del gateway.

### Sintassi

#### GetByID

```
Update-DSGatewayRuleset [-GatewayID] <guid> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

#### InputObject

```
Update-DSGatewayRuleset [-Gateway] <Gateway> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

### Descrizione

Aggiorna un set di regole del gateway. Usi il parametro per modificare le proprietà corrispondenti.

Questo cmdlet si chiamava in precedenza Update-DSVirtualGateway. Tale nome è ancora disponibile come alias.

### Esempi

#### Esempio 1

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Sostituisce tutte le regole di accesso esistenti del set di regole del gateway con una che nega l'indirizzo IP '1.2.3.4'.

#### Esempio 2

```powershell
PS C:\> $gateway = Get-DSGateway -Name 'GatewayRulesetA'
PS C:\> $gateway.NetworkAccessRules.AllowList.Add(@{ 'Type' = 'IP'; 'Value' = '1.2.3.4' })
PS C:\> Update-DSGatewayRuleset -Gateway $gateway
```

Aggiunge una nuova regola che consente l'indirizzo IP '1.2.3.4' al set di regole del gateway.

#### Esempio 3

```powershell
PS C:\> $vaultIds = @($vaultId1, $vaultId2)
PS C:\> $security = New-DSGatewaySecurity -VaultRoleOverride Custom -CustomVaultAccess $vaultIds -DisallowPrivateVaults
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayRulesetId -Security $security
```

Crea una configurazione di sicurezza con accesso limitato a casseforti specifiche, non consente le casseforti private e la applica a un set di regole del gateway.

### Parametri

#### -Description

Nuova descrizione del set di regole del gateway.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Gateway

Set di regole del gateway da aggiornare.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayID

ID del set di regole del gateway da aggiornare.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Imposta come gateway predefinito.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -LinkedGatewayID

ID del nuovo gateway fisico.

```yaml
Type: System.Nullable`1[System.Guid]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Nuovo nome del set di regole del gateway. Il valore verrà tagliato.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Rule

Nuovo insieme di regole di accesso. Sostituirà tutte quelle precedenti.

```yaml
Type: Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Security

Configurazione di sicurezza del set di regole del gateway. Usi [New-DSGatewaySecurity](/powershell/it/powershell-commands/new-dsgatewaysecurity.md) per creare questo oggetto.

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewaySecurity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Update-DSGatewayRuleset -detailed". Per informazioni tecniche, digiti "Get-Help Update-DSGatewayRuleset -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/update-dsgatewayruleset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
